﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.Diagnostics;

namespace _99315
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ID", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Bool", typeof(bool));

            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(null, i % 2 == 0);
            }

            ultraGrid1.DataSource = dt;
            ultraGrid1.CellChange += new Infragistics.Win.UltraWinGrid.CellEventHandler(ultraGrid1_CellChange);

        }

        void ultraGrid1_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            if (e.Cell.Column.Key == "Bool")
            {
                Debug.WriteLine(((CheckEditor)e.Cell.EditorResolved).CheckState);
            }
        }
    }
}
